RawFrame
API referenceWebhook endpoints

List webhook endpoints

GET
/v1/webhook_endpoints

Requires the webhooks:write scope.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key, e.g. rf_live_3f9k2q_….

Response Body

Endpoints.

application/json
  1. response
object*unknown
data*array<>
Example Request
curl -X GET 'https://api.rawframe.dev/v1/webhook_endpoints'
Example Response
{  "object": "list",  "data": [    {      "object": "webhook_endpoint",      "id": "string",      "url": "http://example.com",      "description": "string",      "event_types": [        "generation.succeeded"      ],      "status": "enabled",      "created_at": "2019-08-24T14:15:22Z"    }  ]}